package resources;

import com.erad.pacs.modules.gwt.descriptors.usermanager.LoginWithKeyModule;
import com.erad.pacs.toolbox.KeystoreParam;

import imagemed.imsession.IMEnv;

public class InitBackupKeystoreParam extends KeystoreParam {

	private static final long serialVersionUID = 1L;

	private static final LoginWithKeyModule MODULE = LoginWithKeyModule.INITBACKUP;
	private static final String KEYSTORE_FILENAME = "initbackup_keystore.pkcs12";
	private static final String KEYSTORE_PATH = IMEnv.getEnv( "CLASSES_HOME" ) + "/resources/" + KEYSTORE_FILENAME;
	private static final String KEYSTORE_PW = "Y@Taj7CspRTTgyyX8Rbr";
	private static final String KEY_ALIAS = MODULE.getAlias(); // let's use the same alias as it is in the usermanager truststore
	private static final String KEY_PW = "Y@Taj7CspRTTgyyX8Rbr";

	public InitBackupKeystoreParam() {
		super();
		this.module = MODULE;
		this.keystoreFilename = KEYSTORE_FILENAME;
		this.keystorePath = KEYSTORE_PATH;
		this.keystorePw = KEYSTORE_PW;
		this.keyAlias = KEY_ALIAS;
		this.keyPw = KEY_PW;
	}

}